!BAT
# IMPORTANT: This file MUST begin with !BAT

#   --- set the version number ---

#set VER=

# IMPORTANT! - To use your own settings and change the language or words
#              copy this file to MyE2B.cfg
#
#
# HELP
#   # symbols comment out a line - do not remove!
#   ### means you can uncomment and use ### lines - they should contain a set command
#
#   e.g.
#         # Auto menu     - this should not be uncommented - do not delete the # symbol
#       ###set DEFM_MNU=0 - this can be uncommented and changed by the user


#set font and show background ASAP - don't list files as enumerated
set FONT=()/_ISO/docs/fonts/antique.uni.gz
call Fn.70 3 ;; set redir=> nul 


# ------------ HEADING AND FOOTER TEXT COLOUR ---------
# HCOLOUR sets the colour of the HEADING and FOOTER TEXT text 
# HCOLOUR=ABCD specifies the text colour  [BLINK|BRIGHT|BACKGROUND|FOREGROUND]
# A=0/1 1 = BLINK text (does not work under VM)
# B=0/1 1 = BRIGHT colour for foreground text
# C=0-7 = BACKGROUND colour - transparent if graphics mode so has no effect!
# D=0-7 = FOREGROUND menu text colour
# Colours parameters are: 0=black/grey 1=dark blue, 2=green, 3=aqua, 4=dark red, 5=pink, 6=yellow/brown, 7=grey/white.
# e.g. 0133 is non-blinking bright aqua text (on a dark aqua background if not in graphics mode)
set HCOLOUR=0136
set FCOLOUR=0132

set    HEADING=\x20         EASY2BOOT V1 - ALIUMS MAIN MENU  (%VER%)                     \x20

# use \x20 for no text at the bottom of the first menu - e.g. set HELPTEXT=\x20
set HELPTEXT=HDD0 [F7]   Back [F8]   Reboot [F9]   Power Off [F10] www.Easy2Boot.com

#  ----- GRAPHICS MODE AND WALLPAPER -----

# set graphics mode - use 640, or 800 or 1024 - or specify full mode - e.g. 800 600 24
# 640 and 800 is supported by the default background bitmap
set GMODE=800
set MYWBMP=/_ISO/mybackground.bmp
set MYWBMPGZ=/_ISO/docs/Templates/Aliums/aliums.bmp.gz

# -------- MENU COLOURS -------

#MANU COLOURS - Available colours are:
#   black, blue, green, cyan, red, magenta, brown, lgray, lgrey
#   dgrey, dgray, lblue, lgreen, lcyan, lred, lmagenta, yellow, white
#   normal=normal menu text
#   highlight=highlighted menu text when a menu entry is selected - first colour is background, 2nd colour is text colour
#             To have a transparent background for a selected menu item - just specify TRANS - e.g. highlight=0x%TRANS%%%red% 
#   helptext=the colour of the title help text shown just below the menu box
#   standard=the console background and text colours (e.g. when listing files)
#   border=the colour of the border of the menu box

# Note: this is old colour method!
color normal=0x%lmagenta%  highlight=0x%dgrey%%%lred%  helptext=0x%yellow%  standard=0x%black%%%lcyan%  border=0x%green%

# ----- MENU POSITION ---

# If USING 640 or 800 x-resolution - the settings below will change automatically
# wordspacing linespacing borderwidth tophelp numberofitemsinmenu topstart menuwidth rightstartposofmenu
# tophelp=topstart+noitems for menuhelp text just under menu box
set wdspace=0
set lnspace=0
set topstart=2
set rstart=29
set noitems=19
set menuw=62
set bdwidth=1
set tophelp=20

# --- AUTOMATICALLY change border parameters if 800x600 set -----

if "%GMODE%"=="800" set noitems=24
if "%GMODE%"=="800" set tophelp=26

# -- FOOTER HELP TEXT ---
#Bottom Easy2Boot Help text position YYXX
set HBTM=2800
# if in 800 hres set, put bottom help text lower down - 36 lines if 800 mode
if "%GMODE%"=="800" set HBTM=3600

#   ---- PASSWORD PROTECTION -----
#Uncomment the line below to set a password of 'easy2boot' to stop users editing the menus
#If you want to edit the menus, press p and then enter the password (you can use an unencypted password like this: 'set pwd=fred'
#set pwd=--md5 $1$1$okAQ3AJUdhqf3TVrwKvJP1
set pwd=easy2boot

# ---- KEYBOARD TYPE -----
#set which keyboard you are using - see the KBD_xxxx.g4b files in the grub folder
#KBD_AZERTY.g4b
#KBD_FRENCH.g4b
#KBD_GERMAN.g4b
#KBD_ITALIANO.g4b
#KBD_JAPAN_106.g4b
#KBD_QWERTY_UK.g4b
#KBD_QWERTZ.g4b
#KBD_SPANISH.G4B

set KBD=KBD_QWERTY_UK.g4b


